YSTest: YSLib::Components::Controller Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
YSLib::Components::Controller Class Reference

部件控制器。 More...

`#include <ycontrol.h>`

Inheritance diagram for YSLib::Components::Controller:
[legend]
Collaboration diagram for YSLib::Components::Controller:
[legend]

## Public Member Functions

| Controller (bool b)
template<typename... _tParams>
| Controller (bool b, _tParams &&...args)
virtual EventMapping::ItemType & | GetItem (const VisualEvent &id)
| 取事件项。
EventMapping::ItemType & | GetItemRef (const VisualEvent &, EventMapping::MappedType(&)()) override
| 取事件项，若不存在则用指定函数指针添加。
EventMapping::MapType & | GetEventMap () const ynothrow
| 取事件映射表。
virtual Controller * | Clone () const
Public Member Functions inherited from YSLib::Components::AController
| AController (bool b=true)
| 构造：使用指定可用性。
virtual | ~AController ()
| 析构：空实现。
bool | IsEnabled () const ynothrow
void | SetEnabled (bool _tempArgName)

## Protected Attributes

EventMapping::MapType | EventMap
| 事件映射表。

## Detailed Description

部件控制器。

保存部件的事件响应策略和状态。

Definition at line 45 of file ycontrol.h.

## Constructor & Destructor Documentation

YSLib::Components::Controller::Controller | ( | bool | b | ) |

inlineexplicit

Definition at line 52 of file ycontrol.h.

template<typename... _tParams>

YSLib::Components::Controller::Controller | ( | bool | b,
|  | _tParams &&... | args
| ) |  |

inline

Since
  build 368

Definition at line 57 of file ycontrol.h.

## Member Function Documentation

virtual Controller* YSLib::Components::Controller::Clone | ( |  | ) | const

inlinevirtual

Implements YSLib::Components::AController.

Definition at line 69 of file ycontrol.h.

EventMapping::MapType& YSLib::Components::Controller::GetEventMap | ( |  | ) | const

inline

取事件映射表。

Definition at line 66 of file ycontrol.h.

virtual EventMapping::ItemType& YSLib::Components::Controller::GetItem | ( | const VisualEvent & |  | ) |

inlinevirtual

取事件项。

Since
  build 293

Implements YSLib::Components::AController.

Definition at line 62 of file ycontrol.h.

EventMapping::ItemType & Controller::GetItemRef | ( | const VisualEvent & | id,
|  | EventMapping:: | MappedType&)(
| ) |  |

overridevirtual

取事件项，若不存在则用指定函数指针添加。

Exceptions

  忽略加入任何事件项。 |

Reimplemented from YSLib::Components::AController.

Definition at line 53 of file ycontrol.cpp.

References GetEvent().

Here is the call graph for this function:

## Member Data Documentation

EventMapping::MapType YSLib::Components::Controller::EventMap

mutableprotected

事件映射表。

Definition at line 48 of file ycontrol.h.

The documentation for this class was generated from the following files:

- ycontrol.h
- ycontrol.cpp